.defaultInputWrapper {
  width: 100%;

  .defaultInput {
    display: flex;
    flex-direction: column;
    gap: 4px;
    border-radius: 4px;
    position: relative;
    width: 100%;
    font-family: "Inter Tight";

    &::before,
    &::after {
      border-bottom: 0;
    }

    .type {
      align-items: center;
      align-self: stretch;
      border: 1px solid;
      border-radius: 4px;
      display: flex;
      gap: 8px;
      padding: 10px 8px 10px 16px;
      position: relative;
    }

    &:active {
      // background-color: var(--neutral-200);
      border-color: var(--primary-400);
    }

    .MuiInputBase:hover {
      // background-color: var(--neutral-200);
      border-color: var(--primary-400);

      &::before,
      &::after {
        border-bottom: 0 !important;
      }
    }

    .field {
      background-color: var(--neutral-200);
      border-color: var(--neutral-500);
      overflow: hidden;
    }

    &:disabled {
      background-color: var(--neutral-400);
      border-color: var(--neutral-500);
    }

    .error {
      background-color: var(--neutral-200);
      border-color: var(--systemerror-500);
    }

    .type {
      &.inputText {
        &.active {
          color: var(--neutral-800);
        }

        &.hover {
          color: var(--neutral-600);
        }

        &.field {
          color: var(--neutral-600);
        }

        &.disable {
          color: var(--neutral-600);
        }

        &.error {
          color: var(--neutral-800);
        }
      }
    }
  }
}
